# Uses of Class
it.tdlight.jni.TdApi.StorePaymentPurpose

## Uses of TdApi.StorePaymentPurpose in it.tdlight.jni

Subclasses of TdApi.StorePaymentPurpose in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.StorePaymentPurposeGiftedPremium`
The user gifting Telegram Premium to another user.
`static final class`
`TdApi.StorePaymentPurposePremiumGiftCodes`
The user creating Telegram Premium gift codes for other users.
`static final class`
`TdApi.StorePaymentPurposePremiumGiveaway`
The user creating a Telegram Premium giveaway.
`static final class`
`TdApi.StorePaymentPurposePremiumSubscription`
The user subscribing to Telegram Premium.
Fields in it.tdlight.jni declared as TdApi.StorePaymentPurpose
Modifier and Type
Field
Description
`TdApi.StorePaymentPurpose`
TdApi.AssignAppStoreTransaction.`purpose`
Transaction purpose.
`TdApi.StorePaymentPurpose`
TdApi.AssignGooglePlayTransaction.`purpose`
Transaction purpose.
`TdApi.StorePaymentPurpose`
TdApi.CanPurchasePremium.`purpose`
Transaction purpose.
Constructors in it.tdlight.jni with parameters of type TdApi.StorePaymentPurpose
Modifier
Constructor
Description
``
`AssignAppStoreTransaction(byte[] receipt, TdApi.StorePaymentPurpose purpose)`
Informs server about a purchase through App Store.
``
`AssignGooglePlayTransaction(String packageName, String storeProductId, String purchaseToken, TdApi.StorePaymentPurpose purpose)`
Informs server about a purchase through Google Play.
``
`CanPurchasePremium(TdApi.StorePaymentPurpose purpose)`
Checks whether Telegram Premium purchase is possible.